Name: kiran-flameshot
Version: 0.6.0
Release: 4.kb14

# Main code: GPLv3
# Logo: Free Art License v1.3
# Button icons: Apache License 2.0
# capture/capturewidget.cpp and capture/capturewidget.h: GPLv2
# regiongrabber.cpp: LGPL
# Qt-Color-Widgets: LGPL/GPL
# More information: https://github.com/lupoDharkael/flameshot#license
License: GPLv3+ and ASL 2.0 and GPLv2 and LGPLv3 and Free Art
Summary: Powerful and simple to use screenshot software

URL: https://github.com/lupoDharkael/flameshot
Source0: %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

#Kylin
#Patch01:    0001-Optimize-toolbar-add-toolbar-function-optimize-line--9c2875ef.patch
#Patch02:    0001-Repair-toolbar-tools-do-not-display-problems-and-the-67b76351.patch
#endkylin

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Svg)

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: qt5-linguist
BuildRequires: gcc-c++
BuildRequires: gcc

Requires: hicolor-icon-theme
Requires: qt5-qtsvg%{?_isa}

Requires: marco >= 1.22.2-1

%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.


%prep
%autosetup -p1
mkdir %{_target_platform}

%build
pushd %{_target_platform}
    %qmake_qt5 PREFIX=%{_prefix} CONFIG+=packaging ..
popd

%make_build -C %{_target_platform}

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}
%find_lang Internationalization --with-qt

%check
appstream-util validate-relax --nonet "%{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml"
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f Internationalization.lang
%doc README.md
%license LICENSE img/app/flameshotLogoLicense.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/apps/*.*

%changelog
* Thu Oct 14 2021 xiewenhao <xiewenhao@kylinos.com.cn> - 0.6.0-4.kb14
- KYOS-B: remove Requiers fcitx-qt5 (#43502)

* Mon Jun 21 2021 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb13
- KYOS-B: Fix the prompt error and fix the full screen capture.(#39996)(#39997)

* Thu May 20 2021 longcheng <longcheng@kylinos.com.cn> - 0.6.0-4.kb12
- KYOS-B: Fix install problems in KY3.3-4 (#38372)

* Thu May 13 2021 longcheng <longcheng@kylinos.com.cn> - 0.6.0-4.kb11
- KYOS-B: change the BuildRequires cmake(Qt5Svg) to pkgconfig(Qt5Svg) (#38372)

* Tue May 11 2021 kpkg <kpkg@kylinos.com.cn> - 0.6.0-4.kb11
- rebuild for KY3.4-4

* Wed Apr 21 2021 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb10
- KYOS-B: Repair toolbar tools do not display problems and the resulting edge overlay problem.
- Related: #29508

* Fri Dec 11 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb9
- KYOS-B: Optimize toolbar, add toolbar function, optimize line size and color selection.
- Related: #29508

* Fri Oct 30 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb8
- KYOS-F: Fix the drawing tool bug and optimize the toolbar as a whole.
- Related: #29508

* Tue Oct 20 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb7
- KYOS-F: Optimize detail zoom functionadd and add cross dashed line.
- Related: #29508

* Sat Oct 17 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb6
- KYOS-F: change some translation files and Optimize toolbar
- Related: #29508

* Thu Sep 24 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb5
- KYOS-F: add marco and fcitx-qt5 requires, Related #29508

* Thu Sep 24 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb4
- KYOS-F: Update translation.
- KYOS-F: change tray icon prompt text.
- Related #29508

* Wed Sep 23 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb3
- KYOS-F: Update translation add save option setting function.
- KYOS-B: fix save option error.
- Related #29508

* Tue Sep 22 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb2
- KYOS-F: change file name.
- KYOS-B: fix super key error.
- Related #29508

* Tue Sep 22 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb1
- KYOS-F: add some new features, Related #29508
- KYOS-F: Add detail zoom function, Related #29577
- KYOS-F: Add save location, save method and save format selection, Related #29576
- KYOS-P: Modify application picture.
- KYOS-B：Optimize the UI interface and modify the application name, Related #29572

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 2019 Vitaly Zaitsev <vitaly@easycoding.org> - 0.6.0-3
- Added missing runtime requirements (rhbz#1724679).

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Aug 26 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.6.0-1
- Updated to version 0.6.0.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Feb 24 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.5.1-1
- Updated to version 0.5.1.

* Mon Jan 08 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.5.0-2
- Minor SPEC fixes.

* Sat Jan 06 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.5.0-1
- Initial SPEC release.
